<?php

/*
	PHP-Link Trader System v0.9
	Author: Martin Kretzmann
	Last modified: August 16, 2004
	Web: http://scripts.plebius.org/
	Support: http://www.plebius.org/forum.php
	Purpose: This is a script that uses PHP and SQL to help you trade links 
		 with other sites, and send traffic to them based on how much traffic they send you.
	COPYRIGHT: Copyright (c) 2004 Plebius Press.  ALl rights reserved.
		   Please leave a link to one of our sites in script output.  If you must remove them,
		   then we ask that you make a donation.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
*/


define("IN_PHPLT", true);
include("includes/lt_config.php");
include("pbl_db/db.php");

function linktrade_list($num, $mode) {
	global $db, $siteconfig;
	$num = ($num > 0) ? $num : 10;
	$content = '';
	$siteconfig = $db->sql_fetchrow($db->sql_query("SELECT * FROM "._CONFIG_TABLE));
	$result = $db->sql_query("SELECT site_id, site_name, site_description FROM "._SITES_TABLE." WHERE site_isactive=1 ORDER BY site_hits_in DESC LIMIT $num");	
	while($row = $db->sql_fetchrow($result)) {
		$content .= "<a class=\"partner\" href=\"$siteconfig[script_url]?op=out&site=$row[site_id]\" target=_new>$row[site_name]</a>";
		if ($mode == "heavy") {
			$content .= " - $row[site_description]";
		}
		$content .= "<br>";
	}

// You don't have to pay for this script, so please leave at least one of the following links
// to help support us :)
	$content .= "<a class=\"partner\" href=\"http://www.plebius.org/\">Psychology News</a><br>";
	$content .= "<a class=\"partner\" href=\"http://www.insult-o-matic.com/\">Insult-o-Matic</a><br>";
	$content .= "<a class=\"partner\" href=\"http://scripts.plebius.org/\">Free PHP Scripts</a><br>";
	$content .= "<a class=\"partner\" href=\"http://www.sex-forums.org/\">Sex Forums</a><br>";	
	$content .= "<a class=\"partner\" href=\"$siteconfig[script_url]\">Your link?</a><br>";
	return $content;
}

?>
