<?php
/*
	PHP-Link Trader System v0.9
	Author: Martin Kretzmann
	Last modified: August 16, 2004
	Web: http://scripts.plebius.org/
	Support: http://www.plebius.org/forum.php
	Purpose: This is a script that uses PHP and SQL to help you trade links 
		 with other sites, and send traffic to them based on how much traffic they send you.
	COPYRIGHT: Copyright (c) 2004 Plebius Press.  ALl rights reserved.
		   Please leave a link to one of our sites in script output.  If you must remove them,
		   then we ask that you make a donation.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
*/


define("IN_PHPLT", true);
include("../includes/lt_config.php"); error_reporting(E_ALL ^ E_NOTICE);
include("../pbl_db/db.php");
include("../includes/lt_functions.php");

/*if (file_exists('../install.php')) {
die(errmsg(array('Please delete file install.php before continuing')));
}*/

error_reporting(E_ALL ^ E_NOTICE);
$cookie = $_COOKIE[admin];

//... get some infos...
$siteconfig = $db->sql_fetchrow($db->sql_query("SELECT * FROM "._CONFIG_TABLE));


function is_admin($admin) {
	global $db;
	$arr = explode(":", stripslashes_data(base64_decode(stripslashes_data($admin))));
	if ($arr[0] == "" OR $arr[1] == "" OR time() - $arr[2] > 3600) {
		return false;
	}
	$row = $db->sql_fetchrow($db->sql_query("SELECT admin_pass FROM "._ADMINS_TABLE." WHERE admin_uname='$arr[0]'"));
	if ($row[admin_pass] == "" OR $row[admin_pass] != $arr[1]) {
		return false;
	} else if ($row[admin_pass] == $arr[1]) {
		return true;
	}
	return false;
}


if (($cookie == "" OR $_GET[stop] == 1 OR !is_admin($cookie)) && $_GET[op] != "login" && $_GET[op] != "logout") {
	include("../templates/lt_header.php");
	echo "Enter admin username and password to log in";
	if ($_POST OR $_GET[stop] == 1) {
		errmsg(array("Incorrect username or password."));
	}
	echo "<form action=\"$_SERVER[PHP_SELF]?op=login\" method=POST>";
	echo "<table border=0><tr><td>Username</td><td><input type=text name=uname></td></tr>";
	echo "<tr><td>Password</td><td><input type=password name=pass></td></tr>";
	echo "<tr><td colspan=2><input type=submit value=\"Log in\"></td></tr></table>";
} else {


function configform($vars) {
	$modes = array('book','dvd','music','electronics');
        if ($vars[site_isactive] == 1) {
		$active[1] = " selected";
  	} else {
		$active[0] = " selected";
	}
	if ($vars[site_allow_newrings] == 1) {
		$newring[1] = " selected";
	} else {
		$newring[0] = " selected";
	}
	echo "<center>";
	echo "<p><b>Site config</b><p>";
	echo "<form action=lt_admin.php?op=config method=POST>";
	echo "<table border=0>";
	echo "<tr><td>Site name</td><td><input type=text name=site_name value=\"$vars[site_name]\"></td></tr>";
	echo "<tr><td>Site url</td><td><input type=text name=site_url value=\"$vars[site_url]\"></td></tr>";
	echo "<tr><td>Script url</td><td><input type=text name=script_url value=\"$vars[script_url]\"></td></tr>";
	echo "<tr><td>Admin email</td><td><input type=text name=admin_admin_email value=\"$vars[admin_email]\"></td></tr>";
	echo "<tr><td>Site description</td><td><input type=text name=site_description value=\"$vars[site_description]\"></td></tr>";
	echo "<tr><td colspan=2>Any rules<br><textarea name=site_join_text cols=30 rows=5>$vars[site_join_text]</textarea></td></tr>";
	echo "<tr><td colspan=2><input type=submit value=\"Save config\"></td></tr>";
	echo "</table></form>";
	echo "<p>";
}

function configwrite($vars) {
	global $db;
	foreach ($vars as $key=>$val) {
		$db->sql_query("UPDATE "._CONFIG_TABLE." SET $key = '".addslashes_data($val)."'");
	}
	return true;
}


function adminhome() {
	global $db;
	include("../templates/lt_header.php");
	admin_menu();
	$numusers = $db->sql_numrows($db->sql_query("SELECT site_id FROM "._SITES_TABLE));
	$numtovalidate = $db->sql_numrows($db->sql_query("SELECT site_id FROM "._SITES_TABLE." WHERE site_isactive=0"));
	$statdate = $db->sql_fetchrow($db->sql_query("SELECT site_stat_time FROM "._CONFIG_TABLE));
	$lastreset = round((time() - $statdate[site_stat_time]) / 86400);
	echo "<p><center>There are <b>$numusers</b> links in the database <b>($numtovalidate are awaiting approval)</b>.<br>You last updated the hit counts $lastreset days ago. <a href=\"lt_admin.php?op=reset\">Reset now</a><p>";
}


function adm_login() {
	$admin = base64_encode("$_POST[uname]:".md5($_POST[pass]).":".time());
	if (is_admin($admin)) {
		setcookie("admin","$admin",NULL,'/','',0);
		header("Location: lt_admin.php");
	} else {
		header("Location: lt_admin.php?stop=1");
	}
}

function adm_logout() {
	setcookie("admin",NULL,NULL,'/','',0);
	header("Location: lt_admin.php?nocache");
}

function admin_menu() {
     global $db;
     echo "<center><h2>PHP-Link Trader Admin</h2></center>";
     $row = $db->sql_fetchrow($db->sql_query("SELECT * FROM "._CONFIG_TABLE));
echo "<br><center><form action=\"https://www.paypal.com/cgi-bin/webscr\" method=\"post\">\r\n<input type=\"hidden\" name=\"cmd\" value=\"_xclick\">\r\n<input type=\"hidden\" name=\"business\" value=\"alsogut@hotmail.com\">\r\n<input type=\"hidden\" name=\"no_note\" value=\"1\">\r\n<input type=\"hidden\" name=\"currency_code\" value=\"USD\">\r\n<input type=\"hidden\" name=\"tax\" value=\"0\">\r\n<input type=\"image\" src=\"https://www.paypal.com/en_US/i/btn/x-click-but21.gif\" border=\"0\" name=\"submit\" alt=\"Make payments with PayPal - it's fast, free and secure!\">\r\n</form></center>";
echo "
<p align=center><b><a href=lt_admin.php>Admin menu</a>:</b>
<a href=lt_admin.php?op=config>Config</a> | 
<a href=lt_admin.php?op=editsite>Sites admin</a> | 
<a href=lt_admin.php?op=validate>Sites waiting approval</a> | 
<a href=lt_admin.php?op=logout>Log out</a> | 
<a href=http://www.plebius.org/forum.php>Support forums</a><br>
</p>
";
     switch($_GET[op]) {
	case "editsite":
	$vars = array('site_id','site_name','user_name','site_hits_in','site_hits_out');
	show_list(_SITES_TABLE, $vars);
     }
}

function show_list($table, $vars) {
    global $db;
    $start = ($_GET[nh] > 0) ? $_GET[nh] : 0;
    $prev  = $start - 10;
    $next  = $start + 10;
    if ($_GET[d_op] == "") {
		$result = $db->sql_query("SELECT * FROM $table LIMIT $start,10");
		echo "<br><table border=1 align=center>";
		echo "<tr><td>site id</td><td>site name</td><td>Op</td></tr>";
		while ($row = $db->sql_fetchrow($result)) {
			echo "<tr><td>$row[site_id]</td><td><a href=\"$row[site_url]\">$row[site_name]</a></td><td><a href=\"lt_admin.php?op=$_GET[op]&site_id=$row[site_id]&d_op=edit\">edit</a> | <a href=\"lt_admin.php?op=$_GET[op]&site_id=$row[site_id]&d_op=delete\">delete</a></tr>";
			$start++;
		}
		echo "</table>";
  	echo "<p align=center>";
  	echo ($prev >= 0) ? "<a href=lt_admin.php?op=$_GET[op]&amp;nh=$prev>Prev</a>" : 'Prev';
  	echo " | ";
  	echo ($next == $start) ? "<a href=lt_admin.php?op=$_GET[op]&amp;nh=$next>Next</a>" : 'Next';
  }
} 

function config() {
	include("../templates/lt_header.php");
	admin_menu();
	if (!$_POST) {
		global $db;
		configform($db->sql_fetchrow($db->sql_query("SELECT * FROM "._CONFIG_TABLE)));
        } else {
		if (configwrite($_POST)) {
			echo "<p><b>Changes saved</b><p>";
		} else {
			echo "<p>There was a problem. Go back and fix it<p>";
		}
        }
}

function siteform($mode, $vars) {
        if ($vars[site_isactive] == 1) {
		$active[1] = " selected";
  	} else {
		$active[0] = " selected";
	}
	echo "<center>";
	echo "<form action=\"lt_admin.php?op=editsite&d_op=save$mode\" method=POST>";
	echo "<input type=hidden name=site_id value=$vars[site_id]>";
	echo "<table border=0>";
	if ($mode == "edit") {
		echo "<tr><td>User name</td><td>$vars[user_name]</td></tr>";
	} else {
		echo "<tr><td>User name</td><td><input type=text size=30 name=user_name value=\"$vars[user_name]\"></td></tr>";
		echo "<tr><td>User pass</td><td><input type=text size=30 name=user_pass value=\"$vars[user_pass]\"></td></tr>";
	}
	echo "<tr><td>User email</td><td><input type=text size=30 name=user_email value=\"$vars[user_email]\"></td></tr>";
	echo "<tr><td>Site name</td><td><input type=text size=30 name=site_name value=\"$vars[site_name]\"></td></tr>";
	echo "<tr><td>Site url</td><td><input type=text size=30 name=site_url value=\"$vars[site_url]\"></td></tr>";
	if ($mode == "edit") {
		echo "<tr><td>Site is active</td><td><select name=site_isactive><option value=0 $active[0]>No<option value=1 $active[1]>Yes</td></tr>";
	}
	echo "<tr><td colspan=2>Site description<br><textarea cols=50 rows=5 name=site_description>$vars[site_description]</textarea></td></tr>";
	echo "<tr><td>Hits out</td><td><input type=text name=site_hits_out value=\"$vars[site_hits_out]\"></td></tr>";
	echo "<tr><td>Hits in</td><td><input type=text name=site_hits_in value=\"$vars[site_hits_in]\"></td></tr>";
	echo "<tr><td colspan=2><input type=submit value=\"Save site\"></td></tr>";
	echo "</table></form>";
	echo "</center>";
}

function savesite($mode, $vars) {
	global $db;
	if ($mode == "saveedit") {
		foreach($vars as $key=>$val) {
			$db->sql_query("UPDATE "._SITES_TABLE." SET $key = '".addslashes_data($val)."' WHERE site_id='$vars[site_id]'");
		}
	} else if ($mode == "savenew") {
		if( $db->sql_numrows($db->sql_query("SELECT site_id FROM "._SITES_TABLE." WHERE LOWER(user_name) = '".addslashes_data(strtolower($vars[user_name]))."'")) > 0) {
			include("../templates/lt_header.php");
			admin_menu();
			errmsg("That username is already in the database");
			include("../templates/lt_footer.php");
			exit;
		} else {
			$time = time();
			$db->sql_query("INSERT INTO "._SITES_TABLE." VALUES ( NULL, ".
				"'".addslashes_data($vars[user_name])."', ".
				"'".addslashes_data(md5($vars[user_pass]))."', ".
				"'".addslashes_data($vars[user_email])."', ".
				"'$time', '".
				addslashes_data($vars[site_name])."', '".addslashes_data($vars[site_url])."',  '".
				addslashes_data($vars[site_description])."', '".intval($vars[site_hits_out])."',  '".
				intval($vars[site_hits_in])."', '0', '1')") 
				or  die(errmsg($db->sql_error()));
		}
	} else {
		echo "<b><center><font color=red>There was some sort of problem.</font></center></b>";
	}
}

function editsite() {
	global $db;
	$d_op = ($_POST[d_op] != "") ? $_POST[d_op] : $_GET[d_op];
	$site_id = ($_POST[site_id] != "") ? intval($_POST[site_id]) : intval($_GET[site_id]);

	if ($d_op == "savenew" OR $d_op == "saveedit") {
		savesite("$d_op", $_POST);
		header("Location: lt_admin.php?op=editsite");
	} else if ($d_op == "delete") {
		include("../templates/lt_header.php");
		admin_menu();
		echo "<br><center><b>Are you sure you want to permanently delete this site?</b><p>";
		echo "<a href=lt_admin.php?op=editsite&amp;d_op=deleteconfirm&amp;site_id=$site_id>Yes</a> &nbsp;&nbsp;&nbsp; | &nbsp;&nbsp;&nbsp; <a href=lt_admin.php?op=editsite>No</a><p><br></center>";
	} else if ($d_op == "deleteconfirm") {
		$sitenum = $db->sql_numrows($db->sql_query("DELETE FROM "._SITES_TABLE." WHERE site_id=$site_id"));
		header("Location: lt_admin.php?op=editsite");
	} else {
		include("../templates/lt_header.php");
		admin_menu();
		echo "<center><p><b>Edit sites</b><p>";
		echo "</center>";
		if ($d_op == "") {
			$d_op = "new";
			echo "<p align=center>Add new site</p>";
		}
		echo siteform($d_op, $db->sql_fetchrow($db->sql_query("SELECT * FROM "._SITES_TABLE." WHERE site_id = $site_id")));
	}
}

function resetstats() {
	global $db;
	$db->sql_query("UPDATE "._CONFIG_TABLE." SET site_stat_time = '".time()."'");
	$db->sql_query("UPDATE "._SITES_TABLE." SET site_hits_in = 0, site_hits_out = 0");
	header("Location: lt_admin.php?nocache");
}

function validate(){
	global $db;
	include("../templates/lt_header.php");
	admin_menu();
	if ($_GET[d_op] == "approve" && $_GET[site_id] >0) {
		$db->sql_query("UPDATE "._SITES_TABLE." SET site_isactive = 1 WHERE site_id=$_GET[site_id]");
		echo "<p align=center><b>Site activated</b></p>";
	}
	$result = $db->sql_query("SELECT * FROM "._SITES_TABLE." WHERE site_isactive=0");
	$num = $db->sql_numrows($result);
	echo "<p align=center><b>There are $num sites awaiting validation.</b></p>";
	echo "<table border=1 align=center><tr bgcolor=gray><td>User</td><td>Name</td><td>Desc</td><td>URL</td><td>op</td></tr>";
	while($row=$db->sql_fetchrow($result)) {
		echo "<tr><td>$row[user_name]</td><td><a href=$row[site_url]>$row[site_name]</a> </td><td>$row[site_description] </td><td> $row[site_url]  </td><td> ";
		echo "<small><a href=lt_admin.php?op=validate&d_op=approve&site_id=$row[site_id]>Approve</a> | <a href=lt_admin.php?op=editsite&site_id=$row[site_id]&d_op=edit>Edit</a> | <a href=lt_admin.php?op=editsite&d_op=delete&site_id=$row[site_id]>Delete</a></small></td></tr>";
	}
	echo "</table>";
	include("../templates/lt_footer.php");
}


switch($_GET[op]) {

	case "login":
		adm_login();
		break;

	case "logout":
		adm_logout();
		break;

	case "config":
		config();
		break;

	case "editsite":
		editsite();
		break;

	case "reset":
		resetstats();
		break;

	case "validate":
		validate();
		break;

	default:
		adminhome();
		break;

}

















}

include("../templates/lt_footer.php");

?>
<small><p align=center>Powered by <a href="http://scripts.plebius.org/" target=_new>PHP-Link Trader</a>. &copy; 2004 <a href="http://www.plebius.org/" target=_new>Plebius Psychology News</a>.</p></small>
</html></head>
