<?php

/*
	PHP-Link Trader System v0.9
	Author: Martin Kretzmann
	Last modified: August 16, 2004
	Web: http://scripts.plebius.org/
	Support: http://www.plebius.org/forum.php
	Purpose: This is a script that uses PHP and SQL to help you trade links 
		 with other sites, and send traffic to them based on how much traffic they send you.
	COPYRIGHT: Copyright (c) 2004 Plebius Press.  ALl rights reserved.
		   Please leave a link to one of our sites in script output.  If you must remove them,
		   then we ask that you make a donation.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
*/


define("IN_PHPLT", true);

include("includes/lt_config.php");
include("pbl_db/db.php");
include("includes/lt_functions.php");

global $db, $siteconfig,$userconfig;

//... get some infos...
$siteconfig = $db->sql_fetchrow($db->sql_query("SELECT * FROM "._CONFIG_TABLE));

if (is_user($_COOKIE[user])) {
	$userinfo = explode(':', base64_decode($_COOKIE[user]));
	$userconfig = $db->sql_fetchrow($db->sql_query("SELECT * FROM "._SITES_TABLE." WHERE LOWER(user_name) = '".addslashes_data(strtolower($userinfo[0]))."'"));
}

function random() {
	global $db, $ring_id;
	$where = " WHERE site_isactive = 1 AND site_hits_in > 0 ";
	$site = $db->sql_fetchrow($db->sql_query("SELECT site_id, site_url FROM "._SITES_TABLE." $where ORDER BY RAND() LIMIT 1"));
	$db->sql_query("UPDATE "._SITES_TABLE." SET site_hits_out = site_hits_out + 1 WHERE site_id = $site[site_id]");
       	srand((double)microtime()*1000000);
	$random = rand(0, 100);
	if ($site[site_url] == "" OR intval($random) < 3) {
		$random = ($random > 2) ? intval($random/33.333) : $random;
		$sites = array('http://www.plebius.org/','http://www.insult-o-matic.com/','http://www.theforumsite.com/','http://www.pimp-my-profile.com/');
		$site[site_url] = $sites[$random];
	}
	header("Location: $site[site_url]");
	exit;
}

function jump() {
	global $db,$siteconfig;
	$site_id = intval($_GET[site]);
	if ($_GET[site] == "") {
		random();
	}
	if ($_GET[op] == "out"){
		$update = " site_hits_out ";
		$site = $db->sql_fetchrow($db->sql_query("SELECT site_url FROM "._SITES_TABLE." WHERE site_id = '$site_id' LIMIT 1"));
		$to = $site[site_url];
	} elseif ($_GET[op] == "in") {
		$update = " site_hits_in ";
		$to = $siteconfig[site_url];
	} else {
		random();
		return;
	}
	if ($to == ""){
		random();
		exit;
	}
	$db->sql_query("UPDATE "._SITES_TABLE." SET $update = $update + 1 WHERE site_id = $site_id LIMIT 1");
	header("HTTP/1.0 301 Moved Permanently\n");
	header("Location: $to");
	exit;
}

function sitelist($where) {
	global $db,$site;
	include("templates/lt_header.php");
	$start = ($_GET[nh] >0) ? $_GET[nh] : 0;
	$next  = $start + 50;
	$prev  = $start - 50;
	$result = $db->sql_query("SELECT * FROM "._SITES_TABLE." WHERE site_isactive=1 AND site_hits_in > 0 ORDER BY site_hits_in DESC LIMIT $start,50") or errmsg($db->sql_error());
	if ($db->sql_numrows($result) < 1) {
		echo "<p>There are no sites<p>";
	}
	while ($site = $db->sql_fetchrow($result)) {
		include("templates/lt_site.php");
		$start++;
	}
	$url = "$_SERVER[PHP_SELF]";
	echo "<center><small>";
	echo ($prev >=0 ) ? "<a href=\"$url&amp;nh=$prev\">&lt;&lt; Previous</a>" : "&lt;&lt; Previous";
	echo " | ";
	echo ($next == $start ) ? "<a href=\"$url&amp;nh=$next\">Next &gt;&gt;</a>" : "Next &gt;&gt;";
	echo "</small></center>";
	include("templates/lt_footer.php");
}

function loginform($redir) {
	echo "<form action=\"$_SERVER[PHP_SELF]?op=login&redir=$redir\" method=POST>";
	echo "<center><b>Enter username &amp; password</b><br>";
	echo "<table border=0>";
	echo "<tr><td>Username:</td><td><input name=user_name></td></tr>";
	echo "<tr><td>Password:</td><td><input type=password name=user_pass></td></tr>";
	echo "<tr><td colspan=2 align=center><input type=submit value=\"Log in\"></td></tr>";
	echo "</table></center>";
	echo "<p align=center>New user? <a href=\"$_SERVER[PHP_SELF]?op=join\">Register here!</a></p>";
	echo "</form>";
}

function is_user($user) {
	global $db;
	$uinfo = explode(":", base64_decode($user));
	if ($uinfo[0] == "" OR time() - $uinfo[2] > 3600) {
		return false;
	} else {
		$u = $db->sql_fetchrow($db->sql_query("SELECT user_pass FROM "._SITES_TABLE." WHERE LOWER(user_name) = '".addslashes_data(strtolower($uinfo[0]))."'"));
		if ($uinfo[1] == $u[user_pass]) {
			return true;
		}
	}
	return false;
}

function code() {
	global $db,$userconfig;
	include("templates/lt_header.php");
	echo "<p><center><font size=+1><b>Get code</b></font></center><p>";
	if (!is_user($_COOKIE[user]) && $_GET[show] != "true") {
		loginform(urlencode("op=code"));
	} else {
		$site = $db->sql_fetchrow($db->sql_query("SELECT site_id FROM "._SITES_TABLE." WHERE LOWER(user_name) = '".strtolower($userconfig[user_name])."'"));
		if ($site[site_id] == "" && $_GET[show] != "true"){
			errmsg(array("You do not have a site in the database"));
		} else {
			global $codeform, $site_id;
			$site_id = intval($site[site_id]);
			include("templates/lt_code.php");
			$match = array("<", ">", "\"");
			$replace = array("&lt;", "&gt;", "&quot;");
			$enc_codeform = preg_replace("/$match/", "$replace", $codeform);
			echo "<p align=center><b>Enter the following code into your webpage</b><br>";
			echo "<textarea rows=15 cols=60>$enc_codeform</textarea></p><br><p align=center>It will look like this:</p>";
			echo "$codeform";
		}
	}
	include("templates/lt_footer.php");
}

function login() {
	global $db;
	if ($_POST[user_name] == "" OR $_POST[user_pass] == "") {
		include("templates/lt_header.php");
		loginform(urlencode(""));
	} else {
		if (!is_user(base64_encode("$_POST[user_name]:".md5($_POST[user_pass]).":".time()))) {
			include("templates/lt_header.php");
			errmsg(array("Incorrect username or password"));
			loginform(urlencode(""));
		} else {
			$cookieinfo = base64_encode($_POST['user_name'].":".md5($_POST['user_pass']).":".time());
			setcookie('user', $cookieinfo , 0, '/', '' ,0);
			include("templates/lt_header.php");
			echo "You have been logged in.  Click <a href=\"$_SERVER[PHP_SELF]?$_GET[redir]\">here</a> to continue</a>";
			exit;
		}			
	}
	include("templates/lt_footer.php");
}

function logout() {
	setcookie('user','',NULL,'/','',0);
include("templates/lt_header.php");
echo "You were successfully logged out";
}

function addform($op,$vars) {
	echo "<p align=center><b>Enter site information</b></p>";
	echo "<form action=\"$_SERVER[PHP_SELF]?op=$op&d_op=save\" method=POST>";
	echo "<table border=0 align=center>";
	if ($op != "update") {
		echo "<tr><td>Username:</td><td><input type=text name=user_name value=\"$vars[user_name]\"></td></tr>";
		echo "<tr><td>Password:</td><td><input type=password name=user_pass></td></tr>";
	}
	echo "<tr><td>Email:</td><td><input type=text name=user_email value=\"$vars[user_email]\"></td></tr>";
	echo "<tr><td>Site name:</td><td><input name=site_name value=\"$vars[site_name]\"></td></tr>";
	echo "<tr><td>Site url:</td><td><input name=site_url value=\"$vars[site_url]\"></td></tr>";
	echo "<tr><td colspan=2>Description:<br><textarea cols=50 rows=3 name=site_description>$vars[site_description]</textarea></td></tr>";
	echo "<tr><td colspan=2><input type=submit value=\"Submit site\"></td></tr>";
	echo "</table>";
	echo "</form>";
}

function add() {
	global $db,$siteconfig;
	$user = addslashes_data($_POST[user_name]);
	if ($_GET[d_op] == "") {
		include("templates/lt_header.php");
		echo "<br><hr noshade>$siteconfig[site_join_text]<hr noshade>";
		echo "Your site will show up on the list once you start sending visitors<p>";
		addform('join','');
	} else if ($_GET[d_op] == "save") {
		if ($_POST[site_name] == '' OR
		    $_POST[site_url]  == '' OR
		    $_POST[site_description] == '' OR
		    $_POST[user_name] == "" OR
		    $_POST[user_pass] == "" OR
		    $_POST[user_email] == "") {
				include("templates/lt_header.php");
				errmsg(array("You did not fill in a required field"));
				addform('join',$_POST);
		} else {
			if ($db->sql_numrows($db->sql_query("SELECT site_id FROM "._SITES_TABLE." WHERE LOWER(user_name) = '".strtolower($user)."'")) > 0) {
				include("templates/lt_header.php");
				errmsg(array('<p>There is already a user with that username.  Please choose another one.<p>'));
			} else {
				setcookie('user',base64_encode("$_POST[user_name]:".md5($_POST[user_pass]).":".time()),NULL,'/','',0);
				include("templates/lt_header.php");
				if($db->sql_query("INSERT INTO "._SITES_TABLE." VALUES (NULL, '$user', '".addslashes_data(md5($_POST[user_pass]))."', "
					."'".addslashes_data($_POST[user_email])."', "
					."'".time()."', "
					."'".addslashes_data($_POST[site_name])."', "
					."'".addslashes_data($_POST[site_url])."', "
					."'".addslashes_data($_POST[site_description])."', '0','0','0','0')")) {
					echo "<p>Thank you for your submission! We will review it and add it soon!  Be sure to put the <a href=\"$_SERVER[PHP_SELF]?op=code\">partner code</a> into your site.<p>";
				} else {
					errmsg($db->sql_error());
				} 
			}
		}					
	}
	include("templates/lt_footer.php");
}

function update() {
	global $db, $userconfig;
	include('templates/lt_header.php');
	echo "<p align=center><b>Update site</b></p>";
	if (is_user($_COOKIE[user])) {
		if ($_GET[d_op] != 'save') {
			$site = $db->sql_fetchrow($db->sql_query("SELECT * FROM "._SITES_TABLE." WHERE LOWER(user_name) = '".strtolower($userconfig[user_name])."' LIMIT 1"));
			addform('update',$site);
		} else {
			$db->sql_query("UPDATE "._SITES_TABLE." SET site_name = '".addslashes_data($_POST[site_name])."', site_url = '".addslashes_data($_POST[site_url])."', site_description = '".addslashes_data($_POST[site_description])."', user_email = '".addslashes_data($_POST[user_email])."', site_isactive='0' WHERE LOWER(user_name) = '$userconfig[user_name]'") or errmsg($db->sql_error());
			echo "<p>Your changes have been saved.  Your site has been deactivated until we can approve the changes.<p>";
		}
	} else {
		loginform(urlencode('op=update'));
	}

	include('templates/lt_footer.php');
}

switch ($_GET['op']) {

	case "random":
		random();
		break;

	case "in":
	case "out":
		jump();
		break;

	case "code":
		code();
		break;

	case "login":
		login();
		break;

	case "logout":
		logout();
		break;

	case "update":
		update();
		break;
	
	case "join":
		add();
		break;

	default:
		sitelist();
		break;
}

?>
<small><p align=center>Powered by <a href="http://scripts.plebius.org/" target=_new>PHP-Link Trader</a>. &copy; 2004 <a href="http://www.plebius.org/" target=_new>Plebius Psychology News</a>.</p></small>
</html></head>
